# PetscLogObjects

Determines whether objects are logged for the graphical viewer.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogObjects(PetscTruth flag)

Not Collective

### Input Parameter

flag -PETSC_TRUE if objects are to be logged

Note: Logging of objects continues to consume more memory as the program runs. Long running programs should consider turning this feature off.

### Options Database Keys

-log_exclude_objects -Turns off objects logging

### Keywords

log, stage, register

### See Also

PetscLogStagePush(), PetscLogStagePop()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages